Ask Your Question
1

Do Puppet and Puppet Dashboard work with Passenger 4.0.x?

asked 2013-05-06 15:45:16 -0500

ramindk gravatar image

Passenger 4.0.1 was released on May 6, 2013. http://blog.phusion.nl/2013/05/06/phusion-passenger-4-0-1-final-release/

Does it work with Puppet and Puppet Dashboard without any changes to vhosts or packages?

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
3

answered 2013-05-06 15:52:14 -0500

ramindk gravatar image

updated 2013-05-06 15:56:12 -0500

Tested with Puppet 2.7.21 and Dashboard 1.2.23. Confirmed working on 12.04 LTS with the standard ruby 1.8.7 binary installed.

However you will want to edit your vhost file to remove configuration options which are no longer valid. From this file, https://github.com/puppetlabs/puppet/blob/master/ext/rack/files/apache2.conf and this one https://github.com/puppetlabs/puppet-dashboard/blob/master/ext/passenger/dashboard-vhost.conf , you would need to remove these settings.

RackAutoDetect Off|On
RailsAutoDetect Off|On

If these settings exist you will see an error like

Syntax error on line ...
(more)
edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2013-05-06 15:45:16 -0500

Seen: 2,551 times

Last updated: May 06 '13